Skip to main content

Transfer

Transfers funds to the destination bank account. Ensure Account Inquiry has been called first to validate the account.

Endpoint

POST /api/v1/disbursement/transfer

Request Body

ParameterTypeRequiredDescription
accountNostringYesDestination account number
accountNamestringYesAccount holder name (must match inquiry)
bankCodestringYesBank code (e.g., BCA, BNI, BRI)
amountnumberYesTransfer amount (in Rupiah)
merchantTrxIdstringYesUnique transaction ID from merchant
platformTrxIdstringYesplatformTrxId from Account Inquiry result
notifyUrlstringYesWebhook URL to receive transfer status notifications

Example Request

{
"accountNo": "3831358597",
"accountName": "LOUIS WILLIAM TANOTO",
"bankCode": "BCA",
"amount": 10000,
"merchantTrxId": "{{requestId}}",
"platformTrxId": "2026022109022897500",
"notifyUrl": "https://webhook.site/8043de7b-12ec-44b2-a411-26f67b6b5fd5"
}

Success Response

{
"logId": "FzWm3qcyTnEV7xiRHQhm",
"status": true,
"message": "Request diterima, akan segera diproses",
"data": {
"merchantTrxId": "2026012706571124684829011",
"platformTrxId": "2026012623571680343",
"status": "pending"
}
}

Response Fields

FieldDescription
merchantTrxIdMerchant transaction ID
platformTrxIdKingsPay platform transaction ID
statusInitial status (usually pending). Final status is sent via webhook to notifyUrl
Webhook

The final transfer status (success/failed) will be sent to your provided notifyUrl. Ensure your webhook endpoint can receive and process notifications.